- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# MFnCircleSweepManip Class Reference

# OpenMayaUI - API module for user interface | FunctionSet classes

Search for all occurrences

## Detailed Description

CircleSweepManip function set.

The CircleSweepManip allows the user to manipulate a point constrained to move around a circle, in order to specify a sweep angle. This manipulator generates a single floating point value corresponding to the sweep angle.

Examples:

  swissArmyManip.cpp.

`#include <MFnCircleSweepManip.h>`

Inheritance diagram for MFnCircleSweepManip:
[legend]

List of all members.

## Public Member Functions
virtual MFn::Type | type () const
| Function set type.
virtual | ~MFnCircleSweepManip ()
| Destructor.
| MFnCircleSweepManip ()
| Default constructor.
| MFnCircleSweepManip (MObject &object, MStatus *ReturnStatus=NULL)
| Constructor.
| MFnCircleSweepManip (const MDagPath &object, MStatus *ret=NULL)
| Constructor.
MObject | create (MStatus *ReturnStatus=NULL)
| Creates a new CircleSweepManip.
MObject | create (const MString &manipName, const MString &angleName, MStatus *ReturnStatus=NULL)
| Creates a new CircleSweepManip.
MStatus | connectToAnglePlug (MPlug &anglePlug)
| Connect to the angle plug.
MStatus | setCenterPoint (const MPoint &centerPoint)
| Sets the center point of the CircleSweepManip.
MStatus | setStartPoint (const MPoint &startPoint)
| Sets the start point of the CircleSweepManip.
MStatus | setEndPoint (const MPoint &endPoint)
| Sets the end point of the CircleSweepManip.
MStatus | setNormal (const MVector &normal)
| Sets the normal of the CircleSweepManip.
MStatus | setRadius (double radius)
| Sets the radius of the CircleSweepManip.
MStatus | setAngle (MAngle angle)
| Sets the angle of the CircleSweepManip.
MStatus | setDrawAsArc (bool state)
| Sets whether or not to draw as arc.
MPoint | startPoint (MStatus *ReturnStatus=NULL) const
| Returns the start point.
MPoint | endPoint (MStatus *ReturnStatus=NULL) const
| Returns the end point.
unsigned int | centerIndex (MStatus *ReturnStatus=NULL) const
| Returns the index for the center of the CircleSweepManip.
unsigned int | axisIndex (MStatus *ReturnStatus=NULL) const
| Returns the index for the axis of CircleSweepManip.
unsigned int | angleIndex (MStatus *ReturnStatus=NULL) const
| Returns the index for the angle of CircleSweepManip.
unsigned int | startCircleIndex (MStatus *ReturnStatus=NULL) const
| Returns the index for the start of the circle of CircleSweepManip.
unsigned int | endCircleIndex (MStatus *ReturnStatus=NULL) const
| Returns the index for the end of the circle of CircleSweepManip.
| MFnCircleSweepManip (const MObject &object, MStatus *ret=NULL)
| Constructor.
## Protected Member Functions
virtual const char * | className () const
| Class name.

## Constructor & Destructor Documentation

~MFnCircleSweepManip | ( |  | ) | `[virtual]`

Destructor.

Class destructor.

MFnCircleSweepManip | ( | MObject & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Class constructor that initializes the function set to the given MObject.

Parameters:

  [in] | object | The MObject to attach the function set to
  [out] | ReturnStatus | the return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

MFnCircleSweepManip | ( | const MDagPath & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Class constructor that initializes the function set to the given constant MDagPath object.

Parameters:

  [in] | object | The const MDagPath to attach the function set to
  [out] | ReturnStatus | The return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

MFnCircleSweepManip | ( | const MObject & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Class constructor that initializes the function set to the given MObject.

Parameters:

  [in] | object | The MObject to attach the function set to
  [out] | ReturnStatus | the return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

## Member Function Documentation

MFn::Type type | ( |  | ) | const `[virtual]`

Search for all occurrences

Function set type.

Return the class type : MFn::kCircleSweepManip.

Reimplemented from MFnManip3D.

const char * className | ( |  | ) | const `[protected, virtual]`

Search for all occurrences

Class name.

Return the class name : "MFnCircleSweepManip".

Reimplemented from MFnManip3D.

MObject create | ( | MStatus * | ReturnStatus = `NULL` | ) |

Search for all occurrences

Creates a new CircleSweepManip.

This function set's object is set to be the new manipulator.

This method should only be used to create a non-composite CircleSweepManip.

The name that appears in the feedback line is "circleSweep"

Parameters:

  [out] | ReturnStatus | return status

Returns:
  Newly created CircleSweepManip

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure operation failed

MObject create | ( | const MString & | manipName,
|  | const MString & | angleName,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Search for all occurrences

Creates a new CircleSweepManip.

This function set's object is set to be the new manipulator.

This method should only be used to create a non-composite CircleSweepManip.

The name that appears in the feedback line is specified by the angleName argument.

Parameters:

  [in] | manipName | Name of the manip for UI purposes.
  [in] | angleName | Label for the angle value which appears in the feedback line.
  [out] | ReturnStatus | Status code.

Returns:
  Newly created CircleSweepManip.

Status Codes:
  - MS::kSuccess Operation successful.
  - MS::kFailure Operation failed.

Reimplemented from MFnDependencyNode.

MStatus connectToAnglePlug | ( | MPlug & | anglePlug | ) |

Search for all occurrences

Connect to the angle plug.

The data type corresponding to the anglePlug is a double. (Note that MFnUnitAttribute::kAngle is used to specify an angle attribute.)

Parameters:

  [in] | anglePlug | the angle plug

Returns:
  - MS::kSuccess operation successful
  - MS::kFailure operation failed

MStatus setCenterPoint | ( | const MPoint & | centerPoint | ) |

Search for all occurrences

Sets the center point of the CircleSweepManip.

Parameters:

  [in] | centerPoint | the center point of the CircleSweepManip

Returns:
  - MS::kSuccess operation successful
  - MS::kFailure operation failed

MStatus setStartPoint | ( | const MPoint & | startPoint | ) |

Search for all occurrences

Sets the start point of the CircleSweepManip.

Parameters:

  [in] | startPoint | the start point of the CircleSweepManip

Returns:
  - MS::kSuccess operation successful
  - MS::kFailure operation failed

MStatus setEndPoint | ( | const MPoint & | endPoint | ) |

Search for all occurrences

Sets the end point of the CircleSweepManip.

Parameters:

  [in] | endPoint | the end point of the CircleSweepManip

Returns:
  - MS::kSuccess operation successful
  - MS::kFailure operation failed

MStatus setNormal | ( | const MVector & | normal | ) |

Search for all occurrences

Sets the normal of the CircleSweepManip.

Parameters:

  [in] | normal | the normal of the CircleSweepManip

Returns:
  - MS::kSuccess operation successful
  - MS::kFailure operation failed

MStatus setRadius | ( | double | radius | ) |

Search for all occurrences

Sets the radius of the CircleSweepManip.

Parameters:

  [in] | radius | the radius of the CircleSweepManip

Returns:
  - MS::kSuccess operation successful
  - MS::kFailure operation failed

MStatus setAngle | ( | MAngle | angle | ) |

Search for all occurrences

Sets the angle of the CircleSweepManip.

Parameters:

  [in] | angle | the angle of the CircleSweepManip

Returns:
  - MS::kSuccess operation successful
  - MS::kFailure operation failed

MStatus setDrawAsArc | ( | bool | state | ) |

Search for all occurrences

Sets whether or not to draw as arc.

Parameters:

  [in] | state | whether or not to draw as arc

Returns:
  - MS::kSuccess operation successful
  - MS::kFailure operation failed

MPoint startPoint | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Returns the start point.

Parameters:

  [out] | ReturnStatus | return status

Returns:
  The start point

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure operation failed

MPoint endPoint | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Returns the end point.

Parameters:

  [out] | ReturnStatus | return status

Returns:
  The end point

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure operation failed

unsigned int centerIndex | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Returns the index for the center of the CircleSweepManip.

The data type corresponding to this index is MFnNumericData::k3Double.

Parameters:

  [out] | ReturnStatus | return status

Returns:
  The center index

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure operation failed

unsigned int axisIndex | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Returns the index for the axis of CircleSweepManip.

The data type corresponding to this index is MFnNumericData::k3Double.

Parameters:

  [out] | ReturnStatus | return status

Returns:
  The axis index

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure operation failed

unsigned int angleIndex | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Returns the index for the angle of CircleSweepManip.

The data type corresponding to this index is a double.

Parameters:

  [out] | ReturnStatus | return status

Returns:
  The angle index

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure operation failed

unsigned int startCircleIndex | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Returns the index for the start of the circle of CircleSweepManip.

The data type corresponding to this index is a double.

Parameters:

  [out] | ReturnStatus | return status

Returns:
  The circle start index

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure operation failed

unsigned int endCircleIndex | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Returns the index for the end of the circle of CircleSweepManip.

The data type corresponding to this index is a double.

Parameters:

  [out] | ReturnStatus | return status

Returns:
  The circle end index

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure operation failed

MFnCircleSweepManip MFnCircleSweepManip MFnCircleSweepManip MFnCircleSweepManip MFnCircleSweepManip MFnCircleSweepManip MFnCircleSweepManip MFnCircleSweepManip MFnCircleSweepManip MFnCircleSweepManip
MFnCircleSweepManip MFnCircleSweepManip MFnCircleSweepManip MFnCircleSweepManip MFnCircleSweepManip MFnCircleSweepManip MFnCircleSweepManip MFnCircleSweepManip MFnCircleSweepManip MFnCircleSweepManip